<?php
###########################
#Скрипт: Топ-Рейтинг	  #
#Автор: SL_NeKrOmAnT      #
#Версия: 1.2.2(Free)      #
#ICQ: 313886              #
#MAIL: maloy_s95@mail.ru  #
###########################
define('NTOP', 1);
$title = 'Админка - Модерация сайтов';
require_once('../system/connect.php');
require_once('../system/core.php');
require_once('../system/function.php');
require_once('../str/head.php');
reg();
level(2);
switch($act)
	{
		default:
		echo '<div class="title2">Модерация сайтов</div>';
		$count = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `status` = '0'"));
		if($count > 0)
			{
				$total=intval(($count-1)/$set['page_moderacia'])+1; 
				$page=abs(intval($_GET['page'])); 
				if(empty($page) OR $page < 0)
					{
						$page = 1; 
				}	
				if($page > $total)
					{
						$page = $total; 
					}
				$past=intval($count/$set['page_moderacia']);  
				$start=$page*$set['page_moderacia']-$set['page_moderacia']; 
				$moder = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `status` = '0' ORDER BY `id` DESC LIMIT ".$start.",".$set['page_moderacia']."");
				while($row = mysql_fetch_array($moder)) 
					{
						$start++;
						echo '<div class="title">'.$start.'.<strong>'.$row['url'].'</strong></div>';
						echo '<div class="main">';
						echo 'URL: <a href="http://'.$row['url'].'">http://'.$row['url'].'</a><br/>';
						echo 'Описание:<br/>';
						echo $row['about'].'<br/>';
						echo '---<br/>';
						echo '<a href="http://'.$set['home'].'/adm_panel/moderacia.php?act=activate&id='.$row['id'].'">[Активировать]</a><br/>';
						echo '<a href="http://'.$set['home'].'/adm_panel/moderacia.php?act=delete&id='.$row['id'].'">[Удалить]</a><br/>';
						echo '</div>';
					}
				navigation($count,$set['page_moderacia'],$page,'http://'.$set['home'].'/adm_panel/moderacia.php?',$total);
			}
		else
			{
				echo '<div class="main">';
				echo 'Сайтов на модерации нет!<br/>';
				echo '</div>';
			}
		break;
		case 'activate':
		echo '<div class="title2">Модерация сайтов</div>';
		$up = mysql_query("UPDATE `".$prefix."sait` SET  `status` = '1' WHERE `id` = '".$id."'");
		if($up)
			{
				echo '<div class="main">';
				echo 'Сайт успешно активирован<br/>';
				echo '</div>';
			}
		else
			{
				echo '<div class="error">';
				echo 'Сайт не активирован<br/>';
				echo '</div>';
			}
		break;
		case 'delete':
		echo '<div class="title2">Модерация сайтов</div>';
		$del = mysql_query("DELETE FROM `".$prefix."sait` WHERE `id` = '".$id."'");
		if($del)
			{
				echo '<div class="main">';
				echo 'Сайт успешно удален<br/>';
				echo '</div>';
			}
		else
			{
				echo '<div class="error">';
				echo 'Сайт не удален<br/>';
				echo '</div>';
			}
		break;
	}
echo '---<br/>';
echo '<div class="main">';
echo '<a href="http://'.$set['home'].'/adm_panel/moderacia.php">К модерации сайтов</a><br/>';
echo '<a href="http://'.$set['home'].'/adm_panel/index.php">В Админку</a><br/>';
echo '</div>';
require_once('../str/foot.php');
?>
